# Uses of Class
org.eclipse.osgi.framework.log.FrameworkLogEntry

Packages that use FrameworkLogEntry
Package
Description
org.eclipse.osgi.framework.log
Provides the `FrameworkLog` service.

## Uses of FrameworkLogEntry in org.eclipse.osgi.framework.log

Methods in org.eclipse.osgi.framework.log that return FrameworkLogEntry
Modifier and Type
Method
Description
`FrameworkLogEntry[]`
FrameworkLogEntry.`getChildren()`
Methods in org.eclipse.osgi.framework.log with parameters of type FrameworkLogEntry
Modifier and Type
Method
Description
`void`
FrameworkLog.`log(FrameworkLogEntry logEntry)`
Logs the FrameworkLogEntry to the FrameworkLog
Constructors in org.eclipse.osgi.framework.log with parameters of type FrameworkLogEntry
Modifier
Constructor
Description
``
`FrameworkLogEntry(Object context, String entry, int severity, int bundleCode, String message, int stackCode, Throwable throwable, FrameworkLogEntry[] children)`
Constructs a new FrameworkLogEntry
``
`FrameworkLogEntry(String entry, int severity, int bundleCode, String message, int stackCode, Throwable throwable, FrameworkLogEntry[] children)`
Constructs a new FrameworkLogEntry
``
`FrameworkLogEntry(String entry, String message, int stackCode, Throwable throwable, FrameworkLogEntry[] children)`
Constructs a new FrameworkLogEntry